function a = BurgMeth( x, p)

%init

x  = x(:);
f = x;
b = x;
a = 1;
k = zeros(1, p);


for i=1:p
   
   %vektory fi-1[n] a bi-1[n-1]
   ftemp = f(2:end);
   btemp = b(1:end-1);
   
   %Burg formula - vypocet koeficientu odrazu k
   k(i) = (-2.*btemp'*ftemp)./(ftemp'*ftemp+btemp'*btemp);
   
   %aktualizace chyb nově vypočteným koeficientem odrazu k
   f = ftemp + k(i)*btemp;
   b = btemp + k(i)'*ftemp;
   
   %aktualizace vektoru predikčních koeficientů
   a=[a;0] + k(i)*[0;flipud(a)];
    
end

%sloupec na radek
a=a(:).';
   
   
   
   
   
   




